Foros del Web » Programando para Internet » PHP »

Problema estúpido...

Estas en el tema de Problema estúpido... en el foro de PHP en Foros del Web. Hola a todos... Bueno el motivo por el cual estoy posteando esto es porque tengo un problema de lo más idiota posible... no se que ...
  #1 (permalink)  
Antiguo 25/06/2006, 00:08
Usuario no validado
 
Fecha de Ingreso: octubre-2005
Ubicación: En mi casita
Mensajes: 100
Antigüedad: 12 años, 1 mes
Puntos: 0
Pregunta Problema estúpido...

Hola a todos...

Bueno el motivo por el cual estoy posteando esto es porque tengo un problema de lo más idiota posible... no se que le pasa a mi ordenador....

Quiero instalar apache 2.2.2 http://download.nextag.com/apache/ht...x86-no_ssl.msi
y el php 5.1.4 http://de2.php.net/distributions/php-5.1.4-Win32.zip

El apache se instala correctamente, ejecuto el servicio y el puerto de estucha... y todo funciona correctamente... quiero instalar el php y bueno, lo primero que hago es descomprimir el archivo php-5.1.4-Win32.zip a una carpeta llamada php, la cual la coloco en "C:\php\"; a continuación copio todos los "dll" de la carpeta php al system32, y modifico el httpd.conf, agregando la línea de "LoadModule php5_module c:/php/php5apache2.dll" además agrego la línea "AddType application/x-httpd-php .php ", y de allí reinicio el Apache Monitor... y sucede que......... The request operation has failed!... en realidad dice esto...

httpd: Syntax error on C:/Archivos de programa/Apache Software Found
ation/Apache2.2/conf/httpd.conf: Cannot load C:/php/php5apche2.dll in to server: Nose puede encontrar el módulo especificado

Alguien sabe porqué está ocurriendo esto???? es bien raro, porque he seguido absolutamente todos los pasos....

Gracias...
  #2 (permalink)  
Antiguo 25/06/2006, 10:18
Avatar de spider_boy  
Fecha de Ingreso: diciembre-2003
Ubicación: Chile
Mensajes: 1.855
Antigüedad: 14 años
Puntos: 88
A ver... el único dll que debes mover (así por lo menos lo hago yo con php 4.x) es el phpXts.dll... luego al php.ini-recommended, lo renombras y solo lo dejas como php.ini... sin moverlo... y al final del httpd.conf junto con las otras lineas, pones

PHPIniDir "C:/php/"

a ver si eso te sirve de algo :/

disculpa si no soluciona ni en lo más mínimo tu problema :(
  #3 (permalink)  
Antiguo 25/06/2006, 10:56
Avatar de DinamiteDog  
Fecha de Ingreso: febrero-2005
Ubicación: Rosario, Argentina
Mensajes: 77
Antigüedad: 12 años, 10 meses
Puntos: 4
Y si no usa el AppServ que te lo simplifica ;)
  #4 (permalink)  
Antiguo 25/06/2006, 11:12
Usuario no validado
 
Fecha de Ingreso: octubre-2005
Ubicación: En mi casita
Mensajes: 100
Antigüedad: 12 años, 1 mes
Puntos: 0
No, ya he conseguido la solución...

Existe el php 5.2.0 http://snaps.php.net/win32/php5.2-win32-latest.zip
el cual viene con el php5apache2_2.dll el cual es compatible con el Apache 2.2.2 y allí si se puede juntar Apache 2.2.2 con PHP 5.2.0 y lógicamente con MySQL
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 04:51.